main.floors.MT13=
{
    "floorId": "MT13",
    "title": "主塔 13 层",
    "name": "13",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "10,3": [
            {
                "type": "choices",
                "text": "\t[流浪者,man]50金币购买2攻击或者2防御",
                "choices": [
                    {
                        "text": "2攻击",
                        "action": [
                            {
                                "type": "if",
                                "condition": "(status:money>=50)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:atk",
                                        "operator": "+=",
                                        "value": "2"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ]
                    },
                    {
                        "text": "2防御",
                        "action": [
                            {
                                "type": "if",
                                "condition": "(status:money>=50)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:def",
                                        "operator": "+=",
                                        "value": "2"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "4,3": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "4,8": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  4,  4,  4,  4,  4,  4],
    [  1, 28,  0, 34,240,  0, 34,  4,243, 32,165, 47,  4],
    [ 69,239, 28,  1,  1,  1,233,248, 32,165, 32,165, 49],
    [  1,  1,  0,  1, 88, 81,  0,241, 82, 32,122, 30,165],
    [  1, 27,240,  1,  1,  1,226,248, 32,165, 32,165, 49],
    [ 34,240, 29,243, 33,243,  0,  4,243, 32,165, 50,  4],
    [  1, 28,240,243,  1,243,  0,  4,  4,  4,  4,  4, 47],
    [  1,  1, 32,  1,  1,  1, 21, 31,  0,  0,  0,239, 52],
    [  1,  1,  0, 81, 87,  1,  0,  1,222,  1,  4,  4, 47],
    [  1, 36,241,241,  1,  1,243,  1, 21,  1, 22, 22,  4],
    [  1,  4, 27, 27,  1,165,  0,  1,  1,  1, 81,  1, 33],
    [  4, 56, 83,222, 22,  0,231, 50,  1, 47,231, 69,  1],
    [  4,  4,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}