main.floors.MT19=
{
    "floorId": "MT19",
    "title": "主塔 19 层",
    "name": "19",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [
        {
            "type": "setValue",
            "name": "status:hp",
            "operator": "*=",
            "value": "2"
        },
        {
            "type": "setGlobalValue",
            "name": "redGem",
            "value": 4
        },
        {
            "type": "setGlobalValue",
            "name": "blueGem",
            "value": 4
        },
        {
            "type": "setGlobalValue",
            "name": "greenGem",
            "value": 5
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "8,11": [
            {
                "type": "choices",
                "text": "\t[流浪者,man]50金币购买2攻击或者2防御",
                "choices": [
                    {
                        "text": "2攻击",
                        "action": [
                            {
                                "type": "if",
                                "condition": "(status:money>=50)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:atk",
                                        "operator": "+=",
                                        "value": "2"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ]
                    },
                    {
                        "text": "2防御",
                        "action": [
                            {
                                "type": "if",
                                "condition": "(status:money>=50)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "status:def",
                                        "operator": "+=",
                                        "value": "2"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "5,12": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "7,0": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  4, 87,  4, 21,  1,  1,  1],
    [  1, 34,  0,235,  0,  0,  4,265,  4,  0,  1, 56,  1],
    [  1,  0, 34,  1,265,  1,235,  0,235, 82,241,  0,  1],
    [  1,249,  1,  1, 27,  1,  1, 33,  0,230,  1,  1,  1],
    [  1, 22,  1, 47, 28, 50,  1,  1,  1, 27,  0, 28,  1],
    [  1, 82,  1,  1, 83,  1,  1, 33,  1,  1,  0,  1,  1],
    [  1, 21,  0, 21,  0, 34,  1,230,  1,265,  0,  0,  1],
    [  1,254,  1,  0,265,  0, 34,  0, 34,  0,  1, 33,  1],
    [  1, 34,  1,241,  1,  1,  1,241,  1,226,  1,  0,  1],
    [  1, 34,  1, 27,254, 61,254, 28,  1, 34,  1,230,  1],
    [  5,  5,  5, 81,  4,254,  4,  4,  4, 82, 82, 27,  1],
    [ 47, 23,254, 34,  4,  0, 83, 38,122,  4, 27,  0,  1],
    [ 50,  1,  1,  1,  1, 88,  4, 33, 33,  4,  1, 22,  1]
],
    "bgmap": [

],
    "fgmap": [

]
}